$(window).on('load', function(){
    
    iniUploads()
    
});

$('body').on('click','.btnRestaurarImovel', function(){
    
    $data = {
        id_imovel: $id_imovel
    }
    
    get_ajax($data, 'administrativo/ajax/imoveis_ajax/restaurar_imovel', 
        r =>{
            location.reload();
        })
    
});
$('body').on('click','.btnBloquearImovel', function(){
    
    //formBloquearImovel
    $data = {
        id_imovel: $id_imovel,
        motivo: $('#motivo').val(),
    }
    
    get_ajax($data, 'administrativo/ajax/imoveis_ajax/negar_imovel', 
        r =>{
            location.reload();
        })
});
$('body').on('click','.btnPublicarImovel', function(){
    
    //formBloquearImovel
    $data = {
        id_imovel: $id_imovel
    }
    
    get_ajax($data, 'administrativo/ajax/imoveis_ajax/aceitar_imovel', 
        r =>{
            location.reload();
        })
    
    
});
$('body').on('click','.btnModerarImovel', function(){
    
    //formBloquearImovel
    $data = {
        id_imovel: $id_imovel
    }
    
    get_ajax($data, 'administrativo/ajax/imoveis_ajax/moderar_imovel', 
        r =>{
            location.reload();
        })
    
    
});


$('body').on('click','.btnAddInvestimento', function(){
    
    loadButton($(this));
    get_ajax(get_form('.formAddInvestimento'), 'administrativo/ajax/incorporadora_ajax/insert_investimento', 
        success =>{
            msgSuccess('.msgAddInvestimento',success);
            location.reload();
        });
});

$('body').on('click','.btnRemoverUnidade', function(){
    $div = $(this).parent();
    $div.find('.btnRemoverUnidade').hide();
    $div.find('.actRemoverUnidade').show('clip');
    resetBtn($div);
    
});

$('body').on('click','.actRemoverUnidade', function(){
   
    $aqui = $(this).parent().parent().parent().parent();
    
    get_ajax({id_imovel: $(this).data('id_imovel')}, 'administrativo/ajax/incorporadora_ajax/remove_imovel', 
        success =>{
            $aqui.hide('slow');
        });
});

$('textarea.textminieditor').ckeditor({
    entities_latin: false,
    skin: 'moono-lisa',
    removePlugins: 'elementspath',
    resize_enabled: false,
});

//tipo de pagaina
$('.pagina_tipo').on('change', function() {
  var val = $("input[name=pagina_tipo]:checked").val();
  
  if(val == "0"){
      $(".itemPageEbook").hide();
      $(".itemPageVideo").hide();
  }
  if(val == "1"){
      $(".itemPageEbook").show();
      $(".itemPageVideo").hide();
  }
  if(val == "2"){
      $(".itemPageEbook").hide();
      $(".itemPageVideo").show();
  }
  
});

CKEDITOR.editorConfig = function( config )
{
	config.toolbar = 'MyToolbar';
 
	config.toolbar_MyToolbar =
	[
        { name: 'basicstyles', items : [ 'Bold','Italic','Underline','-','RemoveFormat' ] },
		{ name: 'styles', items : ['JustifyLeft' ] },
		{ name: 'paragraph', items : [ 'NumberedList','BulletedList' ] },
		{ name: 'styles', items: [ 'FontSize' ] },
		{ name: 'colors', items: [ 'TextColor' ] },
		{ name: 'Source', items: [ 'Source' ] },
		{ name: 'tools', items : [ 'Maximize'] },
		
	];
	config.extraPlugins = "confighelper";
	
	config.autoParagraph = false;
    
    config.height = 80; 
};

function iniUploads()
{
    //$id_incorporadora
    //$id_empreendimento
    
    iniUploadS3('#div_img_add_unidade', function(url){}, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/capa_unidade'});
    
    iniUploadS3('#div_add_comprovante', function(url){}, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/comprovantes'});
    
    iniUploadS3('#div_img_add_comodidade', function(url){}, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/comodidades'});
    
    $('.div_img_unidad').each(function(key,value){iniUploadS3(this,function(url){
            get_ajax(get_form('#formAtualizaUnidade_'+key), 'administrativo/ajax/incorporadora_ajax/atualiza_unidade' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/capa_unidade',width:1000}    )});
    
    $('.div_img_comodidad').each(function(key,value){iniUploadS3(this,function(url){
            get_ajax(get_form('#formAtualizaComodidade_'+key), 'administrativo/ajax/incorporadora_ajax/atualiza_comodidade' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/comodidades'}    )});
    
    iniUploadS3('#div_emp_logo',function(url){
        get_ajax(get_form('.formAtualizaempreendimento'), 'administrativo/ajax/incorporadora_ajax/atualiza_empreendimento' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/logo',width:310});
    
    iniUploadS3('#div_res_foto',function(url){
        get_ajax(get_form('.formAtualizaempreendimento'), 'administrativo/ajax/incorporadora_ajax/atualiza_empreendimento' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/responsavel'});
    
    iniUploadS3('#div_bg_topo_video',function(url){
        get_ajax(get_form('.formAtualizaConfigLp'), 'administrativo/ajax/incorporadora_ajax/atualiza_config_lp' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/video'});
    
    iniUploadS3('#div_img_lp',function(url){
        get_ajax(get_form('.formAtualizaConfigLp'), 'administrativo/ajax/incorporadora_ajax/atualiza_config_lp' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/logo_top',width:310});
    
    iniUploadS3('#div_img_mobile',function(url){
        get_ajax(get_form('.formAtualizaConfigLp'), 'administrativo/ajax/incorporadora_ajax/atualiza_config_lp' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/logo_mobile',width:310});
    
    $('.div_img_comodidad').each(function(key,value){iniUploadS3(this,function(url){
            get_ajax(get_form('#formAtualizaComodidade_'+key), 'administrativo/ajax/incorporadora_ajax/atualiza_comodidade' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/comodidades'}    )});
    
    iniUploadS3('#div_form_imagem',function(url){
        get_ajax(get_form('.formAtualizaConfigLp'), 'administrativo/ajax/incorporadora_ajax/atualiza_config_lp' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/form_imagem',width:347});
    
    iniUploadS3('#div_pagina_logo',function(url){
        get_ajax(get_form('.formAtualizaConfigLp'), 'administrativo/ajax/incorporadora_ajax/atualiza_config_lp' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/logo_resultado'});
    
    iniUploadS3('#div_pagina_ag_logo',function(url){
        get_ajax(get_form('.formAtualizaConfigLp'), 'administrativo/ajax/incorporadora_ajax/atualiza_config_lp' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/logo_agradecimento'});
    
    iniUploadS3(
        '#div_pagina_ag_capa',
        function(url){
            get_ajax(get_form('.formAtualizaConfigLp'), 'administrativo/ajax/incorporadora_ajax/atualiza_config_lp' );
            
        },
        {
            path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/capa_agradecimento',
            width: 1200,
        });
    
    iniUploadS3('#div_pagina_at_video',function(url){
        get_ajax(get_form('.formAtualizaConfigLp'), 'administrativo/ajax/incorporadora_ajax/atualiza_config_lp' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/video_resultato'});
    
    iniUploadS3('#div_pagina_at_ebook_file',function(url){
        get_ajax(get_form('.formAtualizaConfigLp'), 'administrativo/ajax/incorporadora_ajax/atualiza_config_lp' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/ebook_file'});
    
    
    iniUploadS3('#div_pagina_at_ebook_img',function(url){
        get_ajax(get_form('.formAtualizaConfigLp'), 'administrativo/ajax/incorporadora_ajax/atualiza_config_lp' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/ebook_img'});
    
    
    
    iniUploadS3('#div_seo_img',function(url){
        get_ajax(get_form('.formAtualizaConfigLp'), 'administrativo/ajax/incorporadora_ajax/atualiza_config_lp' );
    }, {path: 'incorporadora/'+$id_incorporadora+'/'+$id_empreendimento+'/seo'});
    
    iniUploaPlanilhaImovel();
}
function resetBtn($div)
{
    setTimeout(function(){
        $div.find('.actRemoverUnidade').hide();
        $div.find('.btnRemoverUnidade').show('clip');
        
    }, 3000);
}
function iniUploaPlanilhaImovel()
{
    callbeckAtualiza =  function(url){
        get_ajax({url:url,id_imovel: $id_imovel} , 'administrativo/ajax/incorporadora_ajax/atualiza_planilha', 
        success =>{ location.reload(); });
    };
    
    data = {
        id_imovel: $id_imovel,
        path:      'anunciante/'+$id_responsavel+'/planilhas',
    }
    
    fileupload('#div_doc_planilha', callbeckAtualiza, 'administrativo/ajax/incorporadora_ajax/insert_unidades',data)
}


$(".basic-multiple").select2(
{
    placeholder: "Insira o campo...",
    width: '100%',
    language: "pt-BR",
    tags: true,
    multiple: true,
    tokenSeparators: [',', '.', ':', ';', '/','A20'],
    formatInputTooShort: 'Insira o campo',
    /*dropdownParent: $('#modalEquipe')*/
});

//seleciona todos
$('.basic-multiple').on("select2:select", function (e) { 
    var data = e.params.data.text;
    if(data=='Todos'){
        $(".basic-multiple > option").prop("selected","selected");
        $('.basic-multiple > option[value="Todos"]').prop('selected',false);
        $(".basic-multiple").trigger("change");
    }
});








































//